from sys import setrecursionlimit
import threading

setrecursionlimit(10 ** 9)
threading.stack_size(67108864)


a, b = map(int, input().split())


def evkl(m, n):
    m, n = min(m, n), max(m, n)
    while n * m != 0:
        m, n = n % m, m
    return m + n


def sokr(k):
    zn = evkl(*k)
    return (k[0] // zn, k[1] // zn)


a, b = sokr((a, b))

res = []

def search(a, b, tree, path):
    if len(res):
        return

    if tree[1][0] > 10 ** 5 or tree[1][1] > 10 ** 5:
        return

    if tree[1][0] == a and tree[1][1] == b:
        res.append('R' + path)

    n_t1 = [
        tree[0],
        sokr((tree[0][0] + tree[1][0], tree[0][1] + tree[1][1])),
        tree[1]
    ]

    n_t2 = [
        tree[1],
        sokr((tree[1][0] + tree[2][0], tree[1][1] + tree[2][1])),
        tree[2]
    ]

    if abs(tree[1][0] - a) < 1 or abs(tree[1][1] - b) < 1:
        return

    if a / b > tree[1][0] / tree[1][1]:
        search(a, b, n_t2, path + 'R')
    else:
        search(a, b, n_t1, path + 'L')

b_tree = [(0, 1), (1, 1), (1, 0)]


search(a, b, b_tree, '')

if len(res):
    print(res[0])
else:
    print('no')