from sys import setrecursionlimit
import threading

import time

setrecursionlimit(10 ** 9)
threading.stack_size(67108864)

a, b = map(int, input().split())


def evkl(m, n):
    m, n = min(m, n), max(m, n)
    while n * m != 0:
        m, n = n % m, m
    return m + n


def sokr(k):
    zn = evkl(*k)
    return (k[0] // zn, k[1] // zn)


a, b = sokr((a, b))

res = []


def search(a, b, tree, path):
    if tree[1][0] > 10 ** 6 or tree[1][1] > 10 ** 6:
        return

    if tree[1][0] == a and tree[1][1] == b:
        print('R' + path)
        exit()

    n_t1 = [
        tree[0],
        sokr((tree[0][0] + tree[1][0], tree[0][1] + tree[1][1])),
        tree[1]
    ]

    n_t2 = [
        tree[1],
        sokr((tree[1][0] + tree[2][0], tree[1][1] + tree[2][1])),
        tree[2]
    ]

    if a / b > tree[1][0] / tree[1][1]:
        search(a, b, n_t2, path + 'R')
    elif a / b < tree[1][0] / tree[1][1]:
        search(a, b, n_t1, path + 'L')


b_tree = [(0, 1), (1, 1), (1, 0)]

if a == 1 and b == 1:
    print('R')
else:
    search(a, b, b_tree, '')
    print('no')